<template>
    <div class="row">
        <div class="col-md-12">
            <div class="address-box">
                <div class="card border m-b-30">
                    <div class="card-header">
                        <h5 class="mb-0">
                            {{ user.firstname }} {{ user.lastname }}
                        </h5>
                    </div>
                    <div class="card-body">
                        <div class="row">
                            <div class="col-lg-3 text-center mb-3">
                                <img
                                    src="/assets/images/users/profile.svg"
                                    alt=""
                                    class="img-fluid"
                                />
                            </div>
                            <div class="col-lg-9">
                                <p>
                                    {{ user.email }}
                                </p>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div v-for="pago in payment" :key="pago.id" class="col-md-12">
            <div v-if="pago.id == id" class="address-box">
                <div class="card border m-b-30">
                    <div class="card-header">
                        <h5 class="mb-0">Pago #{{ pago.id }}</h5>
                    </div>
                    <div class="card-body">
                        <div class="row">
                            <div class="col-lg-3 text-center mb-3">
                                <i class="fa fa-bank rem-6"></i>
                            </div>
                            <div class="col-lg-9">
                                <p>
                                    Referencia bancaría: #{{ pago.referencia }}
                                    <br />Cuenta Nombre del propietario:
                                    {{ pago.nombre }}
                                    <br />
                                    Doc. de identidad: {{ pago.documento }}
                                    <br />
                                    <span v-if="pago.other_bank">
                                        Pago interbancario:
                                        {{ pago.other_bank_name }}</span
                                    >
                                </p>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-md-12">
            <div class="address-box">
                <div class="card border m-b-30">
                    <div class="card-header">
                        <h5 class="mb-0">
                            Numero de cuenta recepto
                        </h5>
                    </div>
                    <div class="card-body">
                        <div class="row">
                            <div class="col-lg-3 text-center mb-3">
                                <i class="fa fa-bank rem-6"></i>
                            </div>
                            <div class="col-lg-9">
                                <h5>{{ banco ? banco.name_banco : "" }}</h5>
                                <p>
                                    {{ banco ? banco.numero_cuenta : "" }}
                                    <br />Cuenta
                                    {{ banco ? banco.tipo_cuenta : "" }}
                                    <br />{{
                                        banco ? banco.nombre_persona : ""
                                    }}
                                    <br />{{
                                        banco ? banco.documento_type : ""
                                    }}-{{ banco ? banco.documento : "" }}
                                    <br />{{ banco ? banco.email : "" }}
                                </p>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-md-12">
            <div class="address-box">
                <div class="card border m-b-30">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-lg-12 text-center mb-3">
                                <button
                                    data-toggle="modal"
                                    data-target="#Modal"
                                    class="btn btn-success-rgba btn-block"
                                >
                                    Confirmar Pago
                                </button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div
            class="modal fade"
            id="Modal"
            tabindex="-1"
            role="dialog"
            aria-labelledby="ModalLabel"
            aria-hidden="true"
        >
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header bg-success">
                        <h5 class="modal-title " id="ModalLabel">
                            Confirmar pago
                        </h5>
                        <button
                            type="button"
                            class="close"
                            data-dismiss="modal"
                            aria-label="Close"
                        >
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <p class="text-muted">
                            ¿Seguró realizó la verificación de la transferencia
                            bancaria/Pago Movil en su cuenta bancaria?
                        </p>
                    </div>
                    <div class="modal-footer">
                        <button
                            type="button"
                            class="btn btn-secondary"
                            data-dismiss="modal"
                        >
                            Cancelar
                        </button>
                        <button
                            type="button"
                            class="btn btn-success"
                            v-on:click.prevent="process"
                        >
                            Confirmar
                        </button>
                    </div>
                </div>
            </div>
        </div>
    </div>
</template>
<!-- Usando la convención BEM -->
<style>
.rem-6 {
    font-size: 4rem;
}
</style>
<script>
export default {
    props: ["pagos", "bancos", "users", "order"],
    created() {},
    mounted() {},
    data() {
        return {
            id: this.order,
            payment: this.pagos,
            user: this.users,
            banco: this.bancos
        };
    },
    methods: {
        process() {
            let status = {
                status: 2,
                order: this.id
            };
            axios
                .put(
                    "/api/accounting/payment/transferencias/" +
                        this.payment[0].id,
                    status
                )
                .then(res => {
                    location.href = "/dashboard/compras/verificate/payment";
                });
        }
    }
};
</script>
